> For the complete documentation index, see [llms.txt](https://docs.xaman.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xaman.dev/js-ts-sdk/sdk-syntax/xumm.user.md).

# Xumm.user { … }

Returns information about the signed in user (in case of xApp or Web3 flow).

{% hint style="info" %}
This method only applies to the xApp & Web3 (browser) flow. Backend flows (using API Key & API Secret) have no user context.
{% endhint %}

The following properties are part of the `user` object. Every property is a `Promise` that is resolved when the user is signed in.

* `account` - r-address
* `picture` - Profile picture or Hashicon URL
* `name` - Account name (if present) - e.g. Xumm Pro account name
* `domain` - Domain name (if present) for account
* `source` - Information source (e.g. a specific explorer)
* `networkType` - Enum, e.g. MAINNET, TESTNET, ... the user is connected to
* `networkEndpoint` - WebSocket endpoint to connect to the network
* `blocked` - If the account is on a blacklist (e.g. because of scams)
* `kycApproved` - If the account owner went through opt in KYC with Xumm
* `proSubscription` - If the account has a Xumm Pro subscription
* `profile` - Xumm Pro Profile slug (URL)
* `token` - User Token for future sign request Push delivery

The `token` field contains a `user_token`; this token is specific to both the application (SDK) credentials and the end user. It grants you access to asynchronously send [Push](/concepts/payloads-sign-requests/delivery/push.md) notifications to the end user (for 30 days, unless granted long living tokens).

When your application creates a payload for the end user to sign using the SDK session (or JWT), a user will always receive a push notification.

If you want to asynchronously create a payload on your backend using the [Backend (SDK / API)](/environments/backend-sdk-api.md)flow, you can include this `token` in the `user_token` field of the payload.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.xaman.dev/js-ts-sdk/sdk-syntax/xumm.user.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
